I have contour lines (polylines) with a precision of 0.25m. So 1.00m, 1.25m, 1.5m, 1.75m, 2.00m, 2.25m etc. They are all on the same layer. I want to select all the lines that have the suffix .00m (1.00m, 2.00m, etc.). How do I do that?
Using the quickselect feature and writing "*.00" doesn't work.
Solved! Go to Solution.
I have contour lines (polylines) with a precision of 0.25m. So 1.00m, 1.25m, 1.5m, 1.75m, 2.00m, 2.25m etc. They are all on the same layer. I want to select all the lines that have the suffix .00m (1.00m, 2.00m, etc.). How do I do that?
Using the quickselect feature and writing "*.00" doesn't work.
Solved! Go to Solution.
Solved by ВeekeeCZ. Go to Solution.
Doesn't work. The polylines are neither blocks nor text. In the screenshot it is the attribute "Erhebung".
Doesn't work. The polylines are neither blocks nor text. In the screenshot it is the attribute "Erhebung".
try this but you need map3d ore civil 3d
https://forums.autodesk.com/t5/civil-3d-forum/search-by-polyline-attribute/td-p/9604176
try this but you need map3d ore civil 3d
https://forums.autodesk.com/t5/civil-3d-forum/search-by-polyline-attribute/td-p/9604176
It's "Elevation" in English. And it cannot be done using built-in features.
If you post some sample dwg I could do some quick lisp.
It's "Elevation" in English. And it cannot be done using built-in features.
If you post some sample dwg I could do some quick lisp.
Here's a sample of the data. A lisp would be amazing!
I also have AutoCAD Map3D available but I guess that won't help me.
Here's a sample of the data. A lisp would be amazing!
I also have AutoCAD Map3D available but I guess that won't help me.
I don't know MAP, but C3D will definitely helps since you can set styles that differentiate contours (eg by layer)
(defun c:SelectContoursbyElevation ( / m s r i e) (if (and (or (and (ssget "_I") (sssetfirst nil) (setq s (ssget "_P" '((0 . "LWPOLYLINE"))))) (setq s (ssget '((0 . "LWPOLYLINE"))))) (setq r (getreal "\nRemainder after division 1: ")) ) (repeat (setq i (sslength s)) (setq e (ssname s (setq i (1- i)))) (if (not (equal (rem (cdr (assoc 38 (entget e))) 1) r 1e-9)) (ssdel e s)))) (sssetfirst nil s) (princ) )
I don't know MAP, but C3D will definitely helps since you can set styles that differentiate contours (eg by layer)
(defun c:SelectContoursbyElevation ( / m s r i e) (if (and (or (and (ssget "_I") (sssetfirst nil) (setq s (ssget "_P" '((0 . "LWPOLYLINE"))))) (setq s (ssget '((0 . "LWPOLYLINE"))))) (setq r (getreal "\nRemainder after division 1: ")) ) (repeat (setq i (sslength s)) (setq e (ssname s (setq i (1- i)))) (if (not (equal (rem (cdr (assoc 38 (entget e))) 1) r 1e-9)) (ssdel e s)))) (sssetfirst nil s) (princ) )
You can also try ELEVLAYER.
It puts objects at certain elevation to a specific layer. Then you can use layer filter to handle them in groups.
You can also try ELEVLAYER.
It puts objects at certain elevation to a specific layer. Then you can use layer filter to handle them in groups.
Can't find what you're looking for? Ask the community or share your knowledge.